Matxin MT outputs the delimiters used in the MT client
Closed, ResolvedPublic

Description

The character sequence ॥ ॥.. ॥ ॥.. ॥ ॥ appears in between the translated content using Matxin.

Translation: page=Atletismo&from=es&to=eu

santhosh created this task.Jul 4 2018, 4:32 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 4 2018, 4:32 AM
santhosh updated the task description. (Show Details)Jul 4 2018, 4:42 AM

Source text: "Las carreras de marcha se realizan normalmente sobre trayectos que oscilan entre 1500 m y 50 km y son principalmente populares en Europa y China..॥॥..॥॥..॥॥.Europa"
Translation from post response: "Martxaren lasterketek normalean egiten dute 1500ren artean kulunkatzen diren ibilbideen gainean m eta 50 kilometroa eta dira nagusiki herrikoiak Europan eta China.. ॥ ॥.. ॥ ॥.. ॥ ॥. Europa"

response.body.translation.replace( /\. ॥ ॥\. /g, '.॥॥.' );

This regex fails there

Change 443769 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/services/cxserver@master] Correct the regex pattern to replace the delimiters

https://gerrit.wikimedia.org/r/443769

Arrbee moved this task from Needs Triage to MT on the ContentTranslation board.Jul 4 2018, 5:42 AM
santhosh triaged this task as Normal priority.Jul 4 2018, 8:41 AM

Change 443769 merged by KartikMistry:
[mediawiki/services/cxserver@master] Correct the regex pattern to replace the delimiters

https://gerrit.wikimedia.org/r/443769

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-07-05T06:35:35Z] <kartik@deploy1001> Started deploy [cxserver/deploy@3cb9a21]: Update cxserver to f8c71a1 (T191124, T198779)

Mentioned in SAL (#wikimedia-operations) [2018-07-05T06:39:28Z] <kartik@deploy1001> Finished deploy [cxserver/deploy@3cb9a21]: Update cxserver to f8c71a1 (T191124, T198779) (duration: 03m 52s)

KartikMistry closed this task as Resolved.Jul 11 2018, 6:52 AM